Skip to main content
GET
/
api
/
v2
/
users
/
{projectKey}
/
{environmentKey}
/
{userKey}
/
flags
List flag settings for user
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/users/{projectKey}/{environmentKey}/{userKey}/flags \
  --header 'Authorization: <api-key>'
{
  "items": {
    "alternate.page": {
      "_links": {
        "self": {
          "href": "/api/v2/users/lacuna/production/Abbie_Braun/flags/alternate.page",
          "type": "application/json"
        }
      },
      "_value": false,
      "setting": null
    },
    "sort.order": {
      "_links": {
        "self": {
          "href": "/api/v2/users/lacuna/production/Abbie_Braun/flags/sort.order",
          "type": "application/json"
        }
      },
      "_value": true,
      "setting": null
    }
  },
  "_links": {
    "self": {
      "href": "/api/v2/users/lacuna/production/Abbie_Braun/flags",
      "type": "application/json"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

userKey
string<string>
required

The user key

Response

User flag settings collection response

items
object
required

An array of flag settings for the user

Example:
{
"alternate.page": {
"_links": {
"self": {
"href": "/api/v2/users/lacuna/production/Abbie_Braun/flags/alternate.page",
"type": "application/json"
}
},
"_value": false,
"setting": null
},
"sort.order": {
"_links": {
"self": {
"href": "/api/v2/users/lacuna/production/Abbie_Braun/flags/sort.order",
"type": "application/json"
}
},
"_value": true,
"setting": null
}
}

The location and content type of related resources

Example:
{
"self": {
"href": "/api/v2/users/lacuna/production/Abbie_Braun/flags",
"type": "application/json"
}
}